Bug 59578 - FORMATTING: cells don't remember center line data bars
Summary: FORMATTING: cells don't remember center line data bars
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: Other Linux (All)
: high normal
Assignee: Markus Mohrhard
QA Contact:
URL:
Whiteboard: BSA target:4.1.0 target:4.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-19 02:41 UTC by bull
Modified: 2013-01-22 11:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bull 2013-01-19 02:41:44 UTC
Problem description: 

Steps to reproduce: (sry for my english :-)
1. new sheet
2. insert 5, 10, 0, -2, -5 in cells from A1to A5
3. select A1:A5 and set conditional formatting to "All cells" "Data bars" and "Position of vertical axis" to "Middle"
4. save sheet to ods and close it
5. open same file and ... axis is not in middle cells


Current behavior:

Expected behavior:

              
Operating System: Ubuntu
Version: 4.0.0.1 rc
Comment 1 Joel Madero 2013-01-20 00:14:44 UTC
Confirmed.

Marking as:
New (confirmed)
Normal (can prevent high quality work and/or consistent behavior within a document)
High (default for normal bugs is medium but as this is a new feature, important to get it right)

Thanks for reporting
Comment 2 Joel Madero 2013-01-20 00:15:56 UTC
adding Markus, pretty sure this is his area
Comment 3 Not Assigned 2013-01-20 10:01:58 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7728bb63086a73594fb59d6b0d55cf4975f0fc1

add missing data bar axis import, fdo#59578



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Markus Mohrhard 2013-01-20 10:16:27 UTC
Please next time add conditional formatting into the summary line. Then the bug will show up in my search.
Comment 5 Not Assigned 2013-01-21 16:00:29 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d05dbf0fe49a4ab930549bae165bc5b924d6745&h=libreoffice-4-0

add missing data bar axis import, fdo#59578


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 bull 2013-01-22 11:59:32 UTC
now it works fine (build 2013-01-22_06.40.47), thank you